package xyz.etztech.javacord

import java.net.URI
import java.net.http.HttpClient
import java.net.http.HttpRequest
import java.net.http.HttpResponse

fun escapeFormat(input: String): String {
    return input.replace("_".toRegex(), "\\\\\\\\_")
        .replace("\\*".toRegex(), "\\\\\\\\*")
        .replace("~".toRegex(), "\\\\\\\\~")
        .replace("\\|".toRegex(), "\\\\\\\\|")
}

fun escapeQuote(input: String): String {
    return input.replace("\"".toRegex(), "\\\\\"")
}

fun sendWebhook(webhookURL: String, webhook: Webhook): HttpResponse<String> {
    val client = HttpClient.newHttpClient()
    val request =
        HttpRequest.newBuilder(URI.create(webhookURL))
            .POST(HttpRequest.BodyPublishers.ofString(webhook.toString()))
            .headers("Content-Type", "application/json; utf-8", "User-Agent", "Javacord Agent")
            .build()
    return client.send(request, HttpResponse.BodyHandlers.ofString())
}