package xyz.etztech.javacord

import org.junit.jupiter.api.Assertions
import org.junit.jupiter.api.Test

class JavacordTest {
    @Test
    fun testEscapeFormat() {
        val raw = "*Test* **Test** _Test_ __Test__ ~Test~ ~~Test~~ |Test| ||Test||"
        val escaped = escapeFormat(raw)
        val expected =
            "\\\\*Test\\\\* \\\\*\\\\*Test\\\\*\\\\* \\\\_Test\\\\_ \\\\_\\\\_Test\\\\_\\\\_ \\\\" +
                "~Test\\\\~ \\\\~\\\\~Test\\\\~\\\\~ \\\\|Test\\\\| \\\\|\\\\|Test\\\\|\\\\|"
        Assertions.assertEquals(expected, escaped)
    }

    @Test
    fun testEscapeQuote() {
        val raw = "\"Test\""
        val escaped = escapeQuote(raw)
        val expected = "\\\"Test\\\""
        Assertions.assertEquals(expected, escaped)
    }
}